<?php

namespace XF2SEO\SEOPackage\XF\Entity;

use XF2SEO\SEOPackage\App;
use XF\Mvc\Entity\Structure;

class Forum extends XFCP_Forum
{
    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

        App::setupStructure($structure);

        return $structure;
    }

    protected function _postDelete()
    {
        parent::_postDelete();

        $entity = $this->getRelation(App::RELATION_METADATA);
        if ($entity !== null) {
            $entity->delete();
        }
    }
}
